\ This is an ANS Forth source file

0 [IF]
Copyright (C) 2003    Ken Staton

This program is part of embedded gForth for the Rabbit2000.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
[THEN]



\ **************************************************************
\ File:         MACH.FS
\               MACH-file for GFORTH on Rabbit2000
\ Autor:        Ken Staton
\ Log:          8may03 adapted from 8086/mach.fs
\

    2 Constant cell
    1 Constant cell<<
    4 Constant cell>bit
    8 Constant bits/char
    8 Constant float
    2 Constant /maxalign
false Constant bigendian
( true=big, false=little )

: prims-include cr ." Include primitives" cr s" arch/R2K/prim.fs" included ;
: asm-include   cr ." Include assembler" cr s" arch/R2K/asm.fs" included ;
: >boot         cr ." Prepare booting" cr
\	s" ' myboot >body into-forth 4 + !" evaluate 
	s" ' boot >body into-forth 4 + !" evaluate 
	s" system-init into-forth 1 + !" evaluate ;

false Constant NIL

>ENVIRON

\ true  Constant ITC
true  Constant ec
true  Constant crlf
\ true Constant has-rom

\ cell 2 = [IF] 32 [ELSE] 256 [THEN] KB Constant kernel-size

32 KB 	Constant kernel-size

8 KB		Constant stack-size
8 KB		Constant rstack-size
